Activate books good standing

Credentials

No credentials are documented for this endpoint.

Activate books good standing status for a seller. This certifies that the seller's books are in compliance with tax authority requirements.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
id string yes Seller ID
email string no Seller email (alternative identifier)
socialId string no Seller social/business ID (alternative identifier)
certificateNumber string no Books good standing certificate number
validFrom string no Certificate validity start date
validTo string no Certificate validity end date

Request example

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "certificateNumber": "BGS-2024-12345",
  "validFrom": "2024-01-01",
  "validTo": "2024-12-31"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/tax-authority/tax-and-social-activation/books-good-standing' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "certificateNumber": "BGS-2024-12345",
  "validFrom": "2024-01-01",
  "validTo": "2024-12-31"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/tax-authority/tax-and-social-activation/books-good-standing", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "certificateNumber": "BGS-2024-12345",
    "validFrom": "2024-01-01",
    "validTo": "2024-12-31"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/tax-authority/tax-and-social-activation/books-good-standing",
    json={
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "certificateNumber": "BGS-2024-12345",
        "validFrom": "2024-01-01",
        "validTo": "2024-12-31",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "certificateNumber": "BGS-2024-12345",
  "validFrom": "2024-01-01",
  "validTo": "2024-12-31"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/tax-authority/tax-and-social-activation/books-good-standing');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Books good standing activated successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}